#
# spec file for package python-jaraco.packaging
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_with     test
Name:           python-jaraco.packaging
Version:        4.1
Release:        lp151.6.1
Summary:        Supplement packaging Python releases
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jaraco/jaraco.packaging
Source:         https://files.pythonhosted.org/packages/source/j/jaraco.packaging/jaraco.packaging-%{version}.tar.gz
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module jaraco.base}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module setuptools_scm}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module pytest}
%endif
Requires:       python-jaraco.base
Requires(post): update-alternatives
Requires(preun): update-alternatives
BuildArch:      noarch
%python_subpackages

%description
Tools to supplement packaging Python releases.

%prep
%setup -q -n jaraco.packaging-%{version}
rm -rf jaraco.packaging.egg-info

%build
%python_build

%install
%python_install
# We will package the namespace __init__.py separately
%{python_expand rm %{buildroot}%{$python_sitelib}/jaraco/__init__.py*
rm -rf %{buildroot}%{$python_sitelib}/jaraco/__pycache__/
%fdupes -s %{buildroot}%{$python_sitelib}
}


%python_clone -a %{buildroot}%{_bindir}/dependency-tree
%python_clone -a %{buildroot}%{_bindir}/upload-package

%post
%python_install_alternative dependency-tree upload-package

%postun
%python_uninstall_alternative dependency-tree

%if %{with test}
%check
%python_expand py.test-%{$python_bin_suffix}
%endif

%files %{python_files}
%defattr(-,root,root)
%doc CHANGES.rst README.rst
%python_alternative %{_bindir}/dependency-tree
%python_alternative %{_bindir}/upload-package
%{python_sitelib}/jaraco.packaging-%{version}-py*.egg-info
%{python_sitelib}/jaraco/packaging/

%changelog
* Mon Nov 13 2017 toddrme2178@gmail.com
- Add namespace package that other jaraco packages can use.
- Properly handle namespace package structure.
  This guarantees the module is importable.
* Wed Jul  5 2017 aloisio@gmx.com
- Initial package (4.1)
